summaryrefslogtreecommitdiffhomepage
path: root/libs/uci/root/sbin
diff options
context:
space:
mode:
authorSteven Barth <steven@midlink.org>2008-09-06 16:27:40 +0000
committerSteven Barth <steven@midlink.org>2008-09-06 16:27:40 +0000
commit3001586c045f24e295c0f2b553e3b67a70e98286 (patch)
tree025e1c4957c5e21b7d68e55f04a924f9c574a120 /libs/uci/root/sbin
parent38bdb5f504d93efe16fdb2e17ad2ebdab7307277 (diff)
Cosemtical changes
Diffstat (limited to 'libs/uci/root/sbin')
-rwxr-xr-xlibs/uci/root/sbin/luci-reload7
1 files changed, 4 insertions, 3 deletions
diff --git a/libs/uci/root/sbin/luci-reload b/libs/uci/root/sbin/luci-reload
index 4e0520cd0..cc621b2e9 100755
--- a/libs/uci/root/sbin/luci-reload
+++ b/libs/uci/root/sbin/luci-reload
@@ -12,14 +12,14 @@ apply_config() {
reload_exec() {
[ -x $2 ] && {
echo "Reloading $1... "
- $2 >/dev/null 2>&1 && echo "done." || echo "failed!"
+ $2 >/dev/null 2>&1 || echo "!!! Failed to reload $1 !!!"
}
}
reload_init() {
[ -x /etc/init.d/$2 ] && /etc/init.d/$2 enabled && {
echo "Reloading $1... "
- /etc/init.d/$2 reload >/dev/null 2>&1 && echo "done." || echo "failed!"
+ /etc/init.d/$2 reload >/dev/null 2>&1 || echo "!!! Failed to reload $1 !!!"
}
}
@@ -27,5 +27,6 @@ config_load ucitrack
for i in $*
do
- config_foreach apply_config $i
+ config_foreach apply_config $i $i
+ echo "done."
done \ No newline at end of file